Browse Preview
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/catalog-families/bulk-edit/components/browse/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"componentIds": [
"<string>"
],
"parentSearch": "<string>",
"parentCategoryId": "<string>",
"componentCategoryId": "<string>",
"search": "<string>",
"parentScope": {
"mode": "explicit",
"familyIds": [
"<string>"
]
}
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/catalog-families/bulk-edit/components/browse/preview"
payload = {
"componentIds": ["<string>"],
"parentSearch": "<string>",
"parentCategoryId": "<string>",
"componentCategoryId": "<string>",
"search": "<string>",
"parentScope": {
"mode": "explicit",
"familyIds": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
componentIds: ['<string>'],
parentSearch: '<string>',
parentCategoryId: '<string>',
componentCategoryId: '<string>',
search: '<string>',
parentScope: {mode: 'explicit', familyIds: ['<string>']}
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/catalog-families/bulk-edit/components/browse/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"selectedCount": 123,
"parents": [
{
"familyId": "<string>",
"familyVersion": 123,
"primaryItemId": "<string>",
"primaryItemVersion": 123,
"primaryFamilySourceId": "<string>",
"primaryFamilySourceVersion": 123,
"primaryItemSourceId": "<string>",
"primaryItemSourceVersion": 123
}
],
"targets": [
{
"componentId": "<string>",
"componentVersion": 123,
"familyId": "<string>",
"familyVersion": 123,
"familySourceId": "<string>",
"familySourceVersion": 123,
"itemSourceId": "<string>",
"itemSourceVersion": 123,
"links": [
{
"parentId": "<string>",
"parentItemId": "<string>",
"linkId": "<string>"
}
],
"name": "<string>"
}
],
"fields": [
{
"fieldKey": "<string>",
"label": "<string>",
"type": {},
"options": [
{}
],
"nullable": true,
"valueFormat": "<string>",
"eligibility": "unavailable",
"reason": "<string>",
"values": [
{
"value": "<string>",
"componentId": "<string>"
}
],
"scale": 123
}
],
"impact": {
"selectedParentCount": 123,
"additionalParentCount": 123,
"affectedProjectCount": 123
},
"selectionMode": "<string>"
}Catalog Component Bulk Edit
Browse Preview
POST
/
v1
/
workspaces
/
{workspaceId}
/
catalog-families
/
bulk-edit
/
components
/
browse
/
preview
Browse Preview
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - application/json
⌘I